import 'dart:async';
import 'dart:io' show File;
import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

class IosRotateImage {
  static const MethodChannel _channel = const MethodChannel('ios_rotate_image');

  static Future<File> rotateImageIOS(
      {@required String path, @required String rotateRadius}) async {
    assert(path != null);
    assert(rotateRadius != null);
    final String result = await _channel.invokeMethod('rotateImage',
        <String, dynamic>{'path': path, 'rotate': rotateRadius});
    return File(result);
  }
}
